import jaclib.ping.IcmpService;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class IcmpService_Sub1 extends IcmpService {

   static volatile IcmpService_Sub1 anIcmpService_Sub1_8391;
   List aList8392 = new ArrayList();


   protected void method12248(int var1, int var2, int var3) {
      Iterator var4 = this.aList8392.iterator();

      while(var4.hasNext()) {
         Interface51 var5 = (Interface51)var4.next();
         var5.method271(var1, var2, var3, -692603361);
      }

   }

   protected void notify(int var1, int var2, int var3) {
      Iterator var4 = this.aList8392.iterator();

      while(var4.hasNext()) {
         Interface51 var5 = (Interface51)var4.next();
         var5.method271(var1, var2, var3, 463429799);
      }

   }

   public static void method13371(Interface51 var0) {
      if(null == anIcmpService_Sub1_8391) {
         throw new IllegalStateException("");
      } else {
         anIcmpService_Sub1_8391.aList8392.add(var0);
      }
   }

   public static void method13372(Interface51 var0) {
      if(null == anIcmpService_Sub1_8391) {
         throw new IllegalStateException("");
      } else {
         anIcmpService_Sub1_8391.aList8392.add(var0);
      }
   }

   public static boolean method13373() {
      try {
         if(!available()) {
            return false;
         }
      } catch (Throwable var1) {
         return false;
      }

      if(anIcmpService_Sub1_8391 != null) {
         throw new IllegalStateException("");
      } else {
         anIcmpService_Sub1_8391 = new IcmpService_Sub1();
         Thread var0 = new Thread(new Class517());
         var0.setDaemon(true);
         var0.start();
         return true;
      }
   }

   public static boolean method13374() {
      try {
         if(!available()) {
            return false;
         }
      } catch (Throwable var1) {
         return false;
      }

      if(anIcmpService_Sub1_8391 != null) {
         throw new IllegalStateException("");
      } else {
         anIcmpService_Sub1_8391 = new IcmpService_Sub1();
         Thread var0 = new Thread(new Class517());
         var0.setDaemon(true);
         var0.start();
         return true;
      }
   }

   public static boolean method13375() {
      try {
         if(!available()) {
            return false;
         }
      } catch (Throwable var1) {
         return false;
      }

      if(anIcmpService_Sub1_8391 != null) {
         throw new IllegalStateException("");
      } else {
         anIcmpService_Sub1_8391 = new IcmpService_Sub1();
         Thread var0 = new Thread(new Class517());
         var0.setDaemon(true);
         var0.start();
         return true;
      }
   }

   public static boolean method13376() {
      try {
         if(!available()) {
            return false;
         }
      } catch (Throwable var1) {
         return false;
      }

      if(anIcmpService_Sub1_8391 != null) {
         throw new IllegalStateException("");
      } else {
         anIcmpService_Sub1_8391 = new IcmpService_Sub1();
         Thread var0 = new Thread(new Class517());
         var0.setDaemon(true);
         var0.start();
         return true;
      }
   }

   public static void method13377() {
      if(anIcmpService_Sub1_8391 != null) {
         try {
            anIcmpService_Sub1_8391.quit();
         } catch (Throwable var1) {
            ;
         }

         anIcmpService_Sub1_8391 = null;
      }
   }

   public static void method13378() {
      if(anIcmpService_Sub1_8391 != null) {
         try {
            anIcmpService_Sub1_8391.quit();
         } catch (Throwable var1) {
            ;
         }

         anIcmpService_Sub1_8391 = null;
      }
   }

   protected void notify(int var1) {
      Iterator var2 = this.aList8392.iterator();

      while(var2.hasNext()) {
         Interface51 var3 = (Interface51)var2.next();
         var3.method273(var1 == 0, (short)6408);
      }

   }

   protected void method12246(int var1) {
      Iterator var2 = this.aList8392.iterator();

      while(var2.hasNext()) {
         Interface51 var3 = (Interface51)var2.next();
         var3.method273(var1 == 0, (short)6408);
      }

   }

   protected void method12247(int var1, int var2, int var3) {
      Iterator var4 = this.aList8392.iterator();

      while(var4.hasNext()) {
         Interface51 var5 = (Interface51)var4.next();
         var5.method271(var1, var2, var3, -953008285);
      }

   }

   public static void method13379() {
      if(anIcmpService_Sub1_8391 != null) {
         try {
            anIcmpService_Sub1_8391.quit();
         } catch (Throwable var1) {
            ;
         }

         anIcmpService_Sub1_8391 = null;
      }
   }

   static final void method13380(Class508 var0, int var1) throws Exception_Sub4 {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class336.aClass35_Sub1_4206.method887(Class103.method2105(var2, 1461949850), true, 605055534);
   }
}
